[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [psynth-devel] Re: Ubuntu 9.04 repo for Psychosynth

From: Aleksander Morgado
Subject: Re: [psynth-devel] Re: Ubuntu 9.04 repo for Psychosynth
Date: Sun, 03 May 2009 15:55:39 +0200
User-agent: Thunderbird (X11/20090409)

Next try is published, now waiting for the automatic build in launchpad again.

BTW, only i386 and amd64 builds are running. Builds for 'lpia' architecture are broken as nvidia-cg-toolkit package was not built for that arch. Already notified A.Fenn about this, so let's see if he can fix it.


Aleksander Morgado wrote:
Seems that still need to work a little bit on the dependencies of each package... :-) Let me analyze it

Juan Pedro Bolivar Puente wrote:
Hash: SHA1

Juan Pedro Bolivar Puente wrote:
I have just tested the repository under my Debian Sid and it is working
ok :D I want to announce it on the blog and the webpage but I first need
a link to your gpg key so people can verify your packages.

Many thanks :-)

Mmmm, no it is not working:
address@hidden:~$ /usr/bin/psynth3d
/usr/bin/psynth3d: error while loading shared libraries: cannot open shared object file: No such file
or directory

Probably it is just that Debian Sid and Adrew's packages are offering
different .so files. I'm going to try to get Ubuntu people to try them.


Aleksander Morgado wrote:
I think I solved the issues, lets see. Basically, some libs where not
being checked at configure time (libpcre, libGLU, and libCg) so I didn't
actually consider them (would be a good idea to check for them in
configure time).

They should not be checked in configure. Those are not Psychosynth deps,
they are Ogre and Cegui dependencies but Andrew Finn packages do not
include them as dependencies. I do not know if mixing Debian Sid and
Ubuntu repos is problematic, but Debian Sid now includes the latest Ogre.

Ah, I see. Anyway, to solve the problem, I added them as dependencies of
psychosynth. I will contact A.Finn to see if he can update the debian
I will try to upload the new package this evening, as temporarily ubuntu
launchpad is down.
Just uploaded the second try to Launchpad using my 3G connection (we're
in train back to Madrid :-) ) Let's see.
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Using GnuPG with Mozilla -


reply via email to

[Prev in Thread] Current Thread [Next in Thread]